import request from '@/utils/request'

// 查询起重机械台账列表
export function listDevdzsb(query) {
  return request({
    url: '/sems/devdzsb/list',
    method: 'get',
    params: query
  })
}

// 查询起重机械台账详细
export function getDevdzsb(id) {
  return request({
    url: '/sems/devdzsb/' + id,
    method: 'get'
  })
}

// 新增起重机械台账
export function addDevdzsb(data) {
  return request({
    url: '/sems/devdzsb',
    method: 'post',
    data: data
  })
}

// 修改起重机械台账
export function updateDevdzsb(data) {
  return request({
    url: '/sems/devdzsb',
    method: 'put',
    data: data
  })
}

// 删除起重机械台账
export function delDevdzsb(id) {
  return request({
    url: '/sems/devdzsb/' + id,
    method: 'delete'
  })
}

// 导出起重机械台账
export function exportDevdzsb(query) {
  return request({
    url: '/sems/devdzsb/export',
    method: 'get',
    params: query
  })
}
